aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2011-02-06 15:00:47 -0800
committerZac Medico <zmedico@gentoo.org>2011-02-06 15:00:47 -0800
commitb766bd9e9d60bcbeef24d29d16873f5374e95310 (patch)
treea54ffa9a4002a6aa97d63d89b5b806522817f614 /bin
parentbacktrack_depgraph: get_best_run for last run (diff)
downloadportage-b766bd9e9d60bcbeef24d29d16873f5374e95310.tar.gz
portage-b766bd9e9d60bcbeef24d29d16873f5374e95310.tar.bz2
portage-b766bd9e9d60bcbeef24d29d16873f5374e95310.zip
default_src_test: handle EAPI 4 emake failure
This will fix bug #353897.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ebuild.sh14
1 files changed, 10 insertions, 4 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index a8ed74591..ebe2c65d3 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -626,15 +626,21 @@ _eapi0_src_compile() {
}
_eapi0_src_test() {
- if emake -j1 check -n &> /dev/null; then
+ # Since we don't want emake's automatic die
+ # support (EAPI 4 and later), and we also don't
+ # want the warning messages that it produces if
+ # we call it in 'nonfatal' mode, we use emake_cmd
+ # to emulate the desired parts of emake behavior.
+ local emake_cmd="${MAKE:-make} ${MAKEOPTS} ${EXTRA_EMAKE}"
+ if $emake_cmd -j1 check -n &> /dev/null; then
vecho ">>> Test phase [check]: ${CATEGORY}/${PF}"
- if ! emake -j1 check; then
+ if ! $emake_cmd -j1 check; then
hasq test $FEATURES && die "Make check failed. See above for details."
hasq test $FEATURES || eerror "Make check failed. See above for details."
fi
- elif emake -j1 test -n &> /dev/null; then
+ elif $emake_cmd -j1 test -n &> /dev/null; then
vecho ">>> Test phase [test]: ${CATEGORY}/${PF}"
- if ! emake -j1 test; then
+ if ! $emake_cmd -j1 test; then
hasq test $FEATURES && die "Make test failed. See above for details."
hasq test $FEATURES || eerror "Make test failed. See above for details."
fi